from django.urls import path, re_path
from .views import (
    MosquitoListAPIView,
    MosquitoPostListAPIView,
    DeviceTempLogListAPIView,
    WeatherLogListAPIView,
    DeviceInfoAPIView,
    WeatherStationInfoAPIView,
)


app_name = 'mosq-api'
urlpatterns = [
    path('', MosquitoListAPIView.as_view(), name='list'),
    path('post/', MosquitoPostListAPIView.as_view(), name='post'),
    path('temp/', DeviceTempLogListAPIView.as_view(), name='temp-hum'),
    path('weather/', WeatherLogListAPIView.as_view(), name='weather-log'),
    path('deviceinfo/', DeviceInfoAPIView.as_view(), name='device-info'),
    path('weatherstationinfo/', WeatherStationInfoAPIView.as_view(), name='weather-station-info'),

]